Bug 1129439 - Foreman proxy does not boot without puppet gem installed
Summary: Foreman proxy does not boot without puppet gem installed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Dmitri Dolguikh
QA Contact: Tazim Kolhar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 18:46 UTC by Lukas Zapletal
Modified: 2016-04-26 00:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:21:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 7060 None None None 2016-04-22 16:15:39 UTC

Description Lukas Zapletal 2014-08-12 18:46:05 UTC
When Puppet gem is not installed, foreman-proxy does not start.

This does not look like any problem for Satellite 6 itself but this is blocker for Foreman Discovery Image which is used in both Satellite 6 and OpenStack Installer.

http://postimg.org/image/ybc4em63z/

Please make sure other modules will work without their dependencies, the discovery PXE boot image has very limited environment with minimum deps.

Comment 3 Lukas Zapletal 2014-08-13 15:36:20 UTC
merged in at ed3332a.

Comment 5 Jason Montleon 2014-08-13 21:57:10 UTC
Commented on upstream issue as well:
E, [2014-08-13T17:26:31.882793 #44503] ERROR -- : Couldn't enable plugin puppet: undefined method `<=>' for :puppetdir:Symbol:/usr/share/foreman-proxy/lib/proxy/plugin.rb:139:in `<=>'/n/usr/share/foreman-proxy/lib/proxy/plugin.rb:139:in `sort'/n/usr/share/foreman-proxy/lib/proxy/plugin.rb:139:in `log_used_default_settings'/n/usr/share/foreman-proxy/lib/proxy/plugin.rb:149:in `configure_plugin'/n/usr/share/foreman-proxy/lib/proxy/plugin.rb:22:in `configure_loaded_plugins'/n/usr/share/foreman-proxy/lib/proxy/plugin.rb:22:in `each'/n/usr/share/foreman-proxy/lib/proxy/plugin.rb:22:in `configure_loaded_plugins'/n/usr/share/foreman-proxy/lib/smart_proxy.rb:116:in `launch'/n/usr/share/foreman-proxy/bin/smart-proxy:6

<jsherrill> jmontleon: in ruby 1.8.7 it doens't look like you can sort symbols?
<jsherrill> irb(main):002:0> [:a, :b, :c].sort
<jsherrill> NoMethodError: undefined method `<=>' for :a:Symbol
<jsherrill> so i'm guessing its parsing those config files and using symbols

<jsherrill> jmontleo: but the proper fix would be to not rely on sortable symbols IMHO

jsherrill> or else explicitly include the Comparable monkey patch

Comment 6 Lukas Zapletal 2014-08-14 15:46:27 UTC
The upstream fix for this is here:

https://github.com/theforeman/smart-proxy/pull/200

When merging this one, please merge the one that caused this issue:

https://github.com/theforeman/smart-proxy/pull/198
http://projects.theforeman.org/issues/7060

We tested this on both RHEL6 (sorry for that) and RHEL7 and it will hit develop soon. I'd like to ask you if you can be so kind and include this in Compose 2. This bug is blocker for OpenStack RHEL7 discovery image and I need this to be fixed in the buildroot so I am able to come up with new ISO build.

Thanks.

Comment 8 Tazim Kolhar 2014-08-21 10:02:37 UTC
please provide verification steps

Comment 9 Dominic Cleal 2014-08-21 10:04:43 UTC
(In reply to Tazim Kolhar from comment #8)
> please provide verification steps

1. install a capsule or foreman-proxy
2. set :enabled: false in both /etc/foreman-proxy/settings.d/puppet.yml and puppetca.yml
3. service foreman-proxy start
4. check the proxy process is still running, check for error in comment #5 in /var/log/foreman-proxy/proxy.log

Btw, you probably don't want to needinfo yourself...

Comment 11 Tazim Kolhar 2014-09-01 07:42:58 UTC
VERIFIED

no error in /var/log/foreman-proxy/proxy.log
after making those settings in /etc/foreman-proxy/settings.d/puppet.yml and puppetca.yml

Comment 12 Bryan Kearney 2014-09-11 12:21:56 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.